<template>
    <div data-theme="light" data-direction="ltr">
        <!-- Header -->
        <Navbar />

        <!-- Main content -->
                <slot />

        <!-- Footer -->
        <Footer />

        <!-- Scroll Top Button -->
        <a href="#" id="scroll-top" class="scroll-top d-flex align-items-center justify-content-center">
            <i class="bi bi-arrow-up-short"></i>
        </a>
    </div>
</template>

<script setup>
import "@/dist/landing/vendor/bootstrap/css/bootstrap.min.css"
import "@/dist/landing/vendor/bootstrap-icons/bootstrap-icons.css"
import "@/dist/landing/vendor/aos/aos.css"
import "@/dist/landing/vendor/glightbox/css/glightbox.min.css"
import "@/dist/landing/vendor/swiper/swiper-bundle.min.css"
import "@/dist/landing/css/main.css"

import { onMounted } from 'vue'

// Komponen layout
import Footer from "@/Components/Landing/Template/Footer.vue"
import Navbar from "@/Components/Landing/Template/Navbar.vue";

onMounted(() => {
    AOS.init()
    GLightbox()
    new Swiper('.swiper', {
        loop: true,
        autoplay: { delay: 5000 },
        pagination: { el: '.swiper-pagination', clickable: true }
    })
})
</script>
